# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
AR = @AR@
AS = @AS@
CC = @CC@
CXX = @CXX@
CXXCPP = @CXXCPP@
DLLTOOL = @DLLTOOL@
ECHO = @ECHO@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
HAVE_LIB = @HAVE_LIB@
LIB = @LIB@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIB = @LTLIB@
MAKEINFO = @MAKEINFO@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
RC = @RC@
STRIP = @STRIP@
VERSION = @VERSION@

PLUGINSLDADD = -L$(top_builddir)/gclib/gclib_c/.libs       -L$(top_builddir)/gclib/src/.libs       -L$(top_builddir)/sblib/.libs       -lgclib -lgclib_c -ldl -lsblib


INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/gclib/include
lib_LTLIBRARIES = libplugin_perl.la libplugin_perlpackages.la libplugin_cache.la 		libplugin_editor.la libplugin_grep.la libplugin_compile.la 		libplugin_aap.la libplugin_python.la libplugin_scons.la 		libplugin_foreach.la libplugin_make.la libplugin_xml_project.la


libplugin_perl_la_SOURCES = plugin_perl.cxx
libplugin_perlpackages_la_SOURCES = plugin_perlpackages.cxx
libplugin_cache_la_SOURCES = plugin_cache.cxx
libplugin_editor_la_SOURCES = plugin_editor.cxx
libplugin_grep_la_SOURCES = plugin_grep.cxx
libplugin_compile_la_SOURCES = plugin_compile.cxx
libplugin_aap_la_SOURCES = plugin_aap.cxx
libplugin_python_la_SOURCES = plugin_python.cxx
libplugin_scons_la_SOURCES = plugin_scons.cxx
libplugin_foreach_la_SOURCES = plugin_foreach.cxx
libplugin_make_la_SOURCES = plugin_make.cxx
libplugin_xml_project_la_SOURCES = plugin_xml_project.cxx

libplugin_perl_la_LIBADD = $(PLUGINSLDADD)
libplugin_perlpackages_la_LIBADD = $(PLUGINSLDADD)
libplugin_cache_la_LIBADD = $(PLUGINSLDADD)
libplugin_editor_la_LIBADD = $(PLUGINSLDADD)
libplugin_grep_la_LIBADD = $(PLUGINSLDADD)
libplugin_compile_la_LIBADD = $(PLUGINSLDADD)
libplugin_aap_la_LIBADD = $(PLUGINSLDADD)
libplugin_python_la_LIBADD = $(PLUGINSLDADD)
libplugin_scons_la_LIBADD = $(PLUGINSLDADD)
libplugin_foreach_la_LIBADD = $(PLUGINSLDADD)
libplugin_make_la_LIBADD = $(PLUGINSLDADD)
libplugin_xml_project_la_LIBADD = $(PLUGINSLDADD)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
LTLIBRARIES =  $(lib_LTLIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
libplugin_perl_la_LDFLAGS = 
libplugin_perl_la_DEPENDENCIES = 
libplugin_perl_la_OBJECTS =  plugin_perl.lo
libplugin_perlpackages_la_LDFLAGS = 
libplugin_perlpackages_la_DEPENDENCIES = 
libplugin_perlpackages_la_OBJECTS =  plugin_perlpackages.lo
libplugin_cache_la_LDFLAGS = 
libplugin_cache_la_DEPENDENCIES = 
libplugin_cache_la_OBJECTS =  plugin_cache.lo
libplugin_editor_la_LDFLAGS = 
libplugin_editor_la_DEPENDENCIES = 
libplugin_editor_la_OBJECTS =  plugin_editor.lo
libplugin_grep_la_LDFLAGS = 
libplugin_grep_la_DEPENDENCIES = 
libplugin_grep_la_OBJECTS =  plugin_grep.lo
libplugin_compile_la_LDFLAGS = 
libplugin_compile_la_DEPENDENCIES = 
libplugin_compile_la_OBJECTS =  plugin_compile.lo
libplugin_aap_la_LDFLAGS = 
libplugin_aap_la_DEPENDENCIES = 
libplugin_aap_la_OBJECTS =  plugin_aap.lo
libplugin_python_la_LDFLAGS = 
libplugin_python_la_DEPENDENCIES = 
libplugin_python_la_OBJECTS =  plugin_python.lo
libplugin_scons_la_LDFLAGS = 
libplugin_scons_la_DEPENDENCIES = 
libplugin_scons_la_OBJECTS =  plugin_scons.lo
libplugin_foreach_la_LDFLAGS = 
libplugin_foreach_la_DEPENDENCIES = 
libplugin_foreach_la_OBJECTS =  plugin_foreach.lo
libplugin_make_la_LDFLAGS = 
libplugin_make_la_DEPENDENCIES = 
libplugin_make_la_OBJECTS =  plugin_make.lo
libplugin_xml_project_la_LDFLAGS = 
libplugin_xml_project_la_DEPENDENCIES = 
libplugin_xml_project_la_OBJECTS =  plugin_xml_project.lo
CXXFLAGS = @CXXFLAGS@
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
DEP_FILES =  .deps/plugin_aap.P .deps/plugin_cache.P \
.deps/plugin_compile.P .deps/plugin_editor.P .deps/plugin_foreach.P \
.deps/plugin_grep.P .deps/plugin_make.P .deps/plugin_perl.P \
.deps/plugin_perlpackages.P .deps/plugin_python.P .deps/plugin_scons.P \
.deps/plugin_xml_project.P
SOURCES = $(libplugin_perl_la_SOURCES) $(libplugin_perlpackages_la_SOURCES) $(libplugin_cache_la_SOURCES) $(libplugin_editor_la_SOURCES) $(libplugin_grep_la_SOURCES) $(libplugin_compile_la_SOURCES) $(libplugin_aap_la_SOURCES) $(libplugin_python_la_SOURCES) $(libplugin_scons_la_SOURCES) $(libplugin_foreach_la_SOURCES) $(libplugin_make_la_SOURCES) $(libplugin_xml_project_la_SOURCES)
OBJECTS = $(libplugin_perl_la_OBJECTS) $(libplugin_perlpackages_la_OBJECTS) $(libplugin_cache_la_OBJECTS) $(libplugin_editor_la_OBJECTS) $(libplugin_grep_la_OBJECTS) $(libplugin_compile_la_OBJECTS) $(libplugin_aap_la_OBJECTS) $(libplugin_python_la_OBJECTS) $(libplugin_scons_la_OBJECTS) $(libplugin_foreach_la_OBJECTS) $(libplugin_make_la_OBJECTS) $(libplugin_xml_project_la_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .cxx .lo .o .obj .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu plugins/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-libLTLIBRARIES:

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)

distclean-libLTLIBRARIES:

maintainer-clean-libLTLIBRARIES:

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libplugin_perl.la: $(libplugin_perl_la_OBJECTS) $(libplugin_perl_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libplugin_perl_la_LDFLAGS) $(libplugin_perl_la_OBJECTS) $(libplugin_perl_la_LIBADD) $(LIBS)

libplugin_perlpackages.la: $(libplugin_perlpackages_la_OBJECTS) $(libplugin_perlpackages_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libplugin_perlpackages_la_LDFLAGS) $(libplugin_perlpackages_la_OBJECTS) $(libplugin_perlpackages_la_LIBADD) $(LIBS)

libplugin_cache.la: $(libplugin_cache_la_OBJECTS) $(libplugin_cache_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libplugin_cache_la_LDFLAGS) $(libplugin_cache_la_OBJECTS) $(libplugin_cache_la_LIBADD) $(LIBS)

libplugin_editor.la: $(libplugin_editor_la_OBJECTS) $(libplugin_editor_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libplugin_editor_la_LDFLAGS) $(libplugin_editor_la_OBJECTS) $(libplugin_editor_la_LIBADD) $(LIBS)

libplugin_grep.la: $(libplugin_grep_la_OBJECTS) $(libplugin_grep_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libplugin_grep_la_LDFLAGS) $(libplugin_grep_la_OBJECTS) $(libplugin_grep_la_LIBADD) $(LIBS)

libplugin_compile.la: $(libplugin_compile_la_OBJECTS) $(libplugin_compile_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libplugin_compile_la_LDFLAGS) $(libplugin_compile_la_OBJECTS) $(libplugin_compile_la_LIBADD) $(LIBS)

libplugin_aap.la: $(libplugin_aap_la_OBJECTS) $(libplugin_aap_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libplugin_aap_la_LDFLAGS) $(libplugin_aap_la_OBJECTS) $(libplugin_aap_la_LIBADD) $(LIBS)

libplugin_python.la: $(libplugin_python_la_OBJECTS) $(libplugin_python_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libplugin_python_la_LDFLAGS) $(libplugin_python_la_OBJECTS) $(libplugin_python_la_LIBADD) $(LIBS)

libplugin_scons.la: $(libplugin_scons_la_OBJECTS) $(libplugin_scons_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libplugin_scons_la_LDFLAGS) $(libplugin_scons_la_OBJECTS) $(libplugin_scons_la_LIBADD) $(LIBS)

libplugin_foreach.la: $(libplugin_foreach_la_OBJECTS) $(libplugin_foreach_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libplugin_foreach_la_LDFLAGS) $(libplugin_foreach_la_OBJECTS) $(libplugin_foreach_la_LIBADD) $(LIBS)

libplugin_make.la: $(libplugin_make_la_OBJECTS) $(libplugin_make_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libplugin_make_la_LDFLAGS) $(libplugin_make_la_OBJECTS) $(libplugin_make_la_LIBADD) $(LIBS)

libplugin_xml_project.la: $(libplugin_xml_project_la_OBJECTS) $(libplugin_xml_project_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libplugin_xml_project_la_LDFLAGS) $(libplugin_xml_project_la_OBJECTS) $(libplugin_xml_project_la_LIBADD) $(LIBS)
.cxx.o:
	$(CXXCOMPILE) -c $<
.cxx.obj:
	$(CXXCOMPILE) -c `cygpath -w $<`
.cxx.lo:
	$(LTCXXCOMPILE) -c $<

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags -o $$here/TAGS $(ETAGS_ARGS) $$tags  $$unique $(LISP))

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = plugins

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu plugins/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp

%.o: %.cxx
	@echo '$(CXXCOMPILE) -c $<'; \
	$(CXXCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.cxx
	@echo '$(LTCXXCOMPILE) -c $<'; \
	$(LTCXXCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-libLTLIBRARIES
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-libLTLIBRARIES
uninstall: uninstall-am
all-am: Makefile $(LTLIBRARIES)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(libdir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-libLTLIBRARIES mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags mostlyclean-depend \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-libLTLIBRARIES clean-compile clean-libtool clean-tags \
		clean-depend clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-libLTLIBRARIES distclean-compile \
		distclean-libtool distclean-tags distclean-depend \
		distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-libLTLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-depend \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-libLTLIBRARIES distclean-libLTLIBRARIES \
clean-libLTLIBRARIES maintainer-clean-libLTLIBRARIES \
uninstall-libLTLIBRARIES install-libLTLIBRARIES mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile \
mostlyclean-libtool distclean-libtool clean-libtool \
maintainer-clean-libtool tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir mostlyclean-depend \
distclean-depend clean-depend maintainer-clean-depend info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
